Subject: Re: DCCP Deprecation

From: Jakub Kicinski <[email-masked]>
Date: Tue, 29 Aug 2023 17:38:19 -0700

On Tue, 29 Aug 2023 15:17:08 +0000 Maglione, Gregorio wrote:
> For the purpose of upstreaming, the repository was forked
> [https://github.com/GREGORIO-M/mp-dccp] to remove non-GPL components
> and to update the license to show GPL-2.0. Is this enough to solve
> the license issue? If so, is it still agreeable for us to upstream
> and maintain MP-DCCP, so that, once DCCP deprecates, MP-DCCP becomes
> the sole DCCP enabler in the kernel? What steps would the upstreaming
> involve? Do you require any information about the MP?

Who is going to use it? Your earlier responses gave me the impression
that you just need a number of implementations for the standardization
process - apologies if I'm mistaken - but we suffered thru maintaining
the unused DCCP code for years, we need real users who will care.

Please use a sane email client you're responses are very hard to parse.